### Method

# Goa OAuth2Based set_client_id

#### Declaration [src]

    void
    goa_oauth2_based_set_client_id (
      GoaOAuth2Based* object,
      const gchar* value
    )

#### Description [src]

Sets the “ClientId” D-Bus property to `value`.

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

This method is not directly available to language bindings.

Sets property | `Goa.OAuth2Based:client-id`

#### Parameters

`value`

  Type: `const gchar*`

  The value to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.